/*------------------------------------------------------------------------------
--  This file is a part of the libuc, microcontroler library
--  Copyright (C) 2013, Alexis Jeandet
--
--  This program is free software; you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation; either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--
--  You should have received a copy of the GNU General Public License
--  along with this program; if not, write to the Free Software
--  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
-------------------------------------------------------------------------------
--                 Author : Alexis Jeandet
--                   Mail : alexis.jeandet@member.fsf.org
-------------------------------------------------------------------------------*/

#include <SDL.h>
#include <ili9328.h>
#include <stdint.h>

#define LCDILI9328 9328

extern SDL_Surface *screen;
extern SDL_Overlay     *bmp;

extern void SDLCD_mkscreen(int resx,int resy,int bbp,int lcdtype);
extern int SDLCD_init();
extern void SDLCD_writereg(uint32_t reg,uint32_t data);
extern uint32_t SDLCD_readreg(uint32_t reg);
extern void SDLCD_writeGRAM(void* buffer,uint32_t count);
extern void SDLCD_writeGRAM_16bpp(void* buffer,uint32_t count);
extern void SDLCD_readGRAM(void* buffer,uint32_t count);
extern void SDLCD_readGRAM_16bpp(void* buffer,uint32_t count);









